# Class ServerController | EchoHub Documentation

# Class ServerController

Namespace
  EchoHub.Server.Controllers

Assembly
  EchoHub.Server.dll

    [ApiController]
    [Route("api/server")]
    public class ServerController : ControllerBase

Inheritance
  object
  ControllerBase
  ServerController

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ServerController(EchoHubDbContext, IConfiguration)

    public ServerController(EchoHubDbContext db, IConfiguration config)

#### Parameters

`db` EchoHubDbContext
`config` IConfiguration

## Methods

### GetInfo()

    [HttpGet("info")]
    public Task<IActionResult> GetInfo()

#### Returns

Task<IActionResult>